Class: Aws::BedrockAgentCore::Types::InvokeAgentRuntimeRequest

Inherits:
Struct
  • Object
show all
Defined in:
gems/aws-sdk-bedrockagentcore/lib/aws-sdk-bedrockagentcore/types.rb

Overview

Constant Summary collapse

SENSITIVE =
[:payload]

Instance Attribute Summary collapse

Instance Attribute Details

#acceptString

The desired MIME type for the response from the agent runtime. This tells the agent runtime what format to use for the response data. Common values include application/json for JSON data.

Returns:

  • (String)


2473
2474
2475
2476
2477
2478
2479
2480
2481
2482
2483
2484
2485
2486
2487
2488
2489
2490
# File 'gems/aws-sdk-bedrockagentcore/lib/aws-sdk-bedrockagentcore/types.rb', line 2473

class InvokeAgentRuntimeRequest < Struct.new(
  :content_type,
  :accept,
  :mcp_session_id,
  :runtime_session_id,
  :mcp_protocol_version,
  :runtime_user_id,
  :trace_id,
  :trace_parent,
  :trace_state,
  :baggage,
  :agent_runtime_arn,
  :qualifier,
  :account_id,
  :payload)
  SENSITIVE = [:payload]
  include Aws::Structure
end

#account_idString

The identifier of the Amazon Web Services account for the agent runtime resource. This parameter is required when you specify an agent ID instead of the full ARN for agentRuntimeArn.

Returns:

  • (String)


2473
2474
2475
2476
2477
2478
2479
2480
2481
2482
2483
2484
2485
2486
2487
2488
2489
2490
# File 'gems/aws-sdk-bedrockagentcore/lib/aws-sdk-bedrockagentcore/types.rb', line 2473

class InvokeAgentRuntimeRequest < Struct.new(
  :content_type,
  :accept,
  :mcp_session_id,
  :runtime_session_id,
  :mcp_protocol_version,
  :runtime_user_id,
  :trace_id,
  :trace_parent,
  :trace_state,
  :baggage,
  :agent_runtime_arn,
  :qualifier,
  :account_id,
  :payload)
  SENSITIVE = [:payload]
  include Aws::Structure
end

#agent_runtime_arnString

The identifier of the agent runtime to invoke. You can specify either the full Amazon Web Services Resource Name (ARN) or the agent ID. If you use the agent ID, you must also provide the accountId query parameter.

Returns:

  • (String)


2473
2474
2475
2476
2477
2478
2479
2480
2481
2482
2483
2484
2485
2486
2487
2488
2489
2490
# File 'gems/aws-sdk-bedrockagentcore/lib/aws-sdk-bedrockagentcore/types.rb', line 2473

class InvokeAgentRuntimeRequest < Struct.new(
  :content_type,
  :accept,
  :mcp_session_id,
  :runtime_session_id,
  :mcp_protocol_version,
  :runtime_user_id,
  :trace_id,
  :trace_parent,
  :trace_state,
  :baggage,
  :agent_runtime_arn,
  :qualifier,
  :account_id,
  :payload)
  SENSITIVE = [:payload]
  include Aws::Structure
end

#baggageString

Additional context information for distributed tracing.

Returns:

  • (String)


2473
2474
2475
2476
2477
2478
2479
2480
2481
2482
2483
2484
2485
2486
2487
2488
2489
2490
# File 'gems/aws-sdk-bedrockagentcore/lib/aws-sdk-bedrockagentcore/types.rb', line 2473

class InvokeAgentRuntimeRequest < Struct.new(
  :content_type,
  :accept,
  :mcp_session_id,
  :runtime_session_id,
  :mcp_protocol_version,
  :runtime_user_id,
  :trace_id,
  :trace_parent,
  :trace_state,
  :baggage,
  :agent_runtime_arn,
  :qualifier,
  :account_id,
  :payload)
  SENSITIVE = [:payload]
  include Aws::Structure
end

#content_typeString

The MIME type of the input data in the payload. This tells the agent runtime how to interpret the payload data. Common values include application/json for JSON data.

Returns:

  • (String)


2473
2474
2475
2476
2477
2478
2479
2480
2481
2482
2483
2484
2485
2486
2487
2488
2489
2490
# File 'gems/aws-sdk-bedrockagentcore/lib/aws-sdk-bedrockagentcore/types.rb', line 2473

class InvokeAgentRuntimeRequest < Struct.new(
  :content_type,
  :accept,
  :mcp_session_id,
  :runtime_session_id,
  :mcp_protocol_version,
  :runtime_user_id,
  :trace_id,
  :trace_parent,
  :trace_state,
  :baggage,
  :agent_runtime_arn,
  :qualifier,
  :account_id,
  :payload)
  SENSITIVE = [:payload]
  include Aws::Structure
end

#mcp_protocol_versionString

The version of the MCP protocol being used.

Returns:

  • (String)


2473
2474
2475
2476
2477
2478
2479
2480
2481
2482
2483
2484
2485
2486
2487
2488
2489
2490
# File 'gems/aws-sdk-bedrockagentcore/lib/aws-sdk-bedrockagentcore/types.rb', line 2473

class InvokeAgentRuntimeRequest < Struct.new(
  :content_type,
  :accept,
  :mcp_session_id,
  :runtime_session_id,
  :mcp_protocol_version,
  :runtime_user_id,
  :trace_id,
  :trace_parent,
  :trace_state,
  :baggage,
  :agent_runtime_arn,
  :qualifier,
  :account_id,
  :payload)
  SENSITIVE = [:payload]
  include Aws::Structure
end

#mcp_session_idString

The identifier of the MCP session.

Returns:

  • (String)


2473
2474
2475
2476
2477
2478
2479
2480
2481
2482
2483
2484
2485
2486
2487
2488
2489
2490
# File 'gems/aws-sdk-bedrockagentcore/lib/aws-sdk-bedrockagentcore/types.rb', line 2473

class InvokeAgentRuntimeRequest < Struct.new(
  :content_type,
  :accept,
  :mcp_session_id,
  :runtime_session_id,
  :mcp_protocol_version,
  :runtime_user_id,
  :trace_id,
  :trace_parent,
  :trace_state,
  :baggage,
  :agent_runtime_arn,
  :qualifier,
  :account_id,
  :payload)
  SENSITIVE = [:payload]
  include Aws::Structure
end

#payloadString

The input data to send to the agent runtime. The format of this data depends on the specific agent configuration and must match the specified content type. For most agents, this is a JSON object containing the user's request.

Returns:

  • (String)


2473
2474
2475
2476
2477
2478
2479
2480
2481
2482
2483
2484
2485
2486
2487
2488
2489
2490
# File 'gems/aws-sdk-bedrockagentcore/lib/aws-sdk-bedrockagentcore/types.rb', line 2473

class InvokeAgentRuntimeRequest < Struct.new(
  :content_type,
  :accept,
  :mcp_session_id,
  :runtime_session_id,
  :mcp_protocol_version,
  :runtime_user_id,
  :trace_id,
  :trace_parent,
  :trace_state,
  :baggage,
  :agent_runtime_arn,
  :qualifier,
  :account_id,
  :payload)
  SENSITIVE = [:payload]
  include Aws::Structure
end

#qualifierString

The qualifier to use for the agent runtime. This is an endpoint name that points to a specific version. If not specified, Amazon Bedrock AgentCore uses the default endpoint of the agent runtime.

Returns:

  • (String)


2473
2474
2475
2476
2477
2478
2479
2480
2481
2482
2483
2484
2485
2486
2487
2488
2489
2490
# File 'gems/aws-sdk-bedrockagentcore/lib/aws-sdk-bedrockagentcore/types.rb', line 2473

class InvokeAgentRuntimeRequest < Struct.new(
  :content_type,
  :accept,
  :mcp_session_id,
  :runtime_session_id,
  :mcp_protocol_version,
  :runtime_user_id,
  :trace_id,
  :trace_parent,
  :trace_state,
  :baggage,
  :agent_runtime_arn,
  :qualifier,
  :account_id,
  :payload)
  SENSITIVE = [:payload]
  include Aws::Structure
end

#runtime_session_idString

The identifier of the runtime session.

A suitable default value is auto-generated. You should normally not need to pass this option.

Returns:

  • (String)


2473
2474
2475
2476
2477
2478
2479
2480
2481
2482
2483
2484
2485
2486
2487
2488
2489
2490
# File 'gems/aws-sdk-bedrockagentcore/lib/aws-sdk-bedrockagentcore/types.rb', line 2473

class InvokeAgentRuntimeRequest < Struct.new(
  :content_type,
  :accept,
  :mcp_session_id,
  :runtime_session_id,
  :mcp_protocol_version,
  :runtime_user_id,
  :trace_id,
  :trace_parent,
  :trace_state,
  :baggage,
  :agent_runtime_arn,
  :qualifier,
  :account_id,
  :payload)
  SENSITIVE = [:payload]
  include Aws::Structure
end

#runtime_user_idString

The identifier of the runtime user.

Returns:

  • (String)


2473
2474
2475
2476
2477
2478
2479
2480
2481
2482
2483
2484
2485
2486
2487
2488
2489
2490
# File 'gems/aws-sdk-bedrockagentcore/lib/aws-sdk-bedrockagentcore/types.rb', line 2473

class InvokeAgentRuntimeRequest < Struct.new(
  :content_type,
  :accept,
  :mcp_session_id,
  :runtime_session_id,
  :mcp_protocol_version,
  :runtime_user_id,
  :trace_id,
  :trace_parent,
  :trace_state,
  :baggage,
  :agent_runtime_arn,
  :qualifier,
  :account_id,
  :payload)
  SENSITIVE = [:payload]
  include Aws::Structure
end

#trace_idString

The trace identifier for request tracking.

Returns:

  • (String)


2473
2474
2475
2476
2477
2478
2479
2480
2481
2482
2483
2484
2485
2486
2487
2488
2489
2490
# File 'gems/aws-sdk-bedrockagentcore/lib/aws-sdk-bedrockagentcore/types.rb', line 2473

class InvokeAgentRuntimeRequest < Struct.new(
  :content_type,
  :accept,
  :mcp_session_id,
  :runtime_session_id,
  :mcp_protocol_version,
  :runtime_user_id,
  :trace_id,
  :trace_parent,
  :trace_state,
  :baggage,
  :agent_runtime_arn,
  :qualifier,
  :account_id,
  :payload)
  SENSITIVE = [:payload]
  include Aws::Structure
end

#trace_parentString

The parent trace information for distributed tracing.

Returns:

  • (String)


2473
2474
2475
2476
2477
2478
2479
2480
2481
2482
2483
2484
2485
2486
2487
2488
2489
2490
# File 'gems/aws-sdk-bedrockagentcore/lib/aws-sdk-bedrockagentcore/types.rb', line 2473

class InvokeAgentRuntimeRequest < Struct.new(
  :content_type,
  :accept,
  :mcp_session_id,
  :runtime_session_id,
  :mcp_protocol_version,
  :runtime_user_id,
  :trace_id,
  :trace_parent,
  :trace_state,
  :baggage,
  :agent_runtime_arn,
  :qualifier,
  :account_id,
  :payload)
  SENSITIVE = [:payload]
  include Aws::Structure
end

#trace_stateString

The trace state information for distributed tracing.

Returns:

  • (String)


2473
2474
2475
2476
2477
2478
2479
2480
2481
2482
2483
2484
2485
2486
2487
2488
2489
2490
# File 'gems/aws-sdk-bedrockagentcore/lib/aws-sdk-bedrockagentcore/types.rb', line 2473

class InvokeAgentRuntimeRequest < Struct.new(
  :content_type,
  :accept,
  :mcp_session_id,
  :runtime_session_id,
  :mcp_protocol_version,
  :runtime_user_id,
  :trace_id,
  :trace_parent,
  :trace_state,
  :baggage,
  :agent_runtime_arn,
  :qualifier,
  :account_id,
  :payload)
  SENSITIVE = [:payload]
  include Aws::Structure
end